de.esprit.common.util

## Class Version

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.util.Version

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    AppSuiteVersion, NetSuiteVersion

      public abstract class Version
      extends TransferableObject

  This class encapsulates the properties that make up a software version
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `authorEmail`
    `protected java.lang.String` | `authorName`
    `protected java.lang.String` | `authorWebSite`
    `protected java.lang.String` | `softwareOwner`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Version(java.lang.String productName, int majorVerion, int minorVersion, java.lang.String versionSuffix)` Defines the version of this software.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkJavaRuntimeVersion(java.lang.String reqiredVersion, java.lang.String jdkVersion)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getAuthorEmail()`
    `java.lang.String` | `getAuthorName()`
    `java.lang.String` | `getAuthorWebSite()`
    `java.lang.String` | `getBuildDate()`
    `BuildInfo` | `getBuildInfo()` This info is read from the Manifest file in the product JAR file.
    `int` | `getBuildNumber()`
    `java.lang.String` | `getCopyrightString()`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `java.lang.String` | `getProductName()`
    `java.lang.String` | `getRequiredJavaVersion()`
    `java.lang.String` | `getSoftwareOwner()`
    `java.lang.String` | `getTitleString()` This is a unique string which is checked for consistency on client and server.
    `java.lang.String` | `getVersionString()`
    `java.lang.String` | `getVersionSuffix()`
    `int` | `hashCode()`
    `boolean` | `hasVersionSuffix()`
    `protected void` | `initCustomValues()`
    `static void` | `setAutoPrintCopyRight(boolean doPrint)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### authorWebSite

          protected java.lang.String authorWebSite

    - #### authorName

          protected java.lang.String authorName

    - #### authorEmail

          protected java.lang.String authorEmail

    - #### softwareOwner

          protected java.lang.String softwareOwner

  - ### Constructor Detail

    - #### Version

          protected Version(java.lang.String productName,
                 int majorVerion,
                 int minorVersion,
                 java.lang.String versionSuffix)

      Defines the version of this software. Note that the build information is read from META-INF/MANIFEST.MF if the software is packaged in a JAR file.

  - ### Method Detail

    - #### initCustomValues

          protected void initCustomValues()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hasVersionSuffix

          public boolean hasVersionSuffix()

    - #### getVersionString

          public java.lang.String getVersionString()

    - #### getMajorVersion

          public final int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### getVersionSuffix

          public final java.lang.String getVersionSuffix()

    - #### getAuthorWebSite

          public final java.lang.String getAuthorWebSite()

    - #### getAuthorName

          public final java.lang.String getAuthorName()

    - #### getAuthorEmail

          public final java.lang.String getAuthorEmail()

    - #### getProductName

          public final java.lang.String getProductName()

    - #### getSoftwareOwner

          public final java.lang.String getSoftwareOwner()

    - #### getRequiredJavaVersion

          public final java.lang.String getRequiredJavaVersion()

    - #### getCopyrightString

          public final java.lang.String getCopyrightString()

    - #### getTitleString

          public final java.lang.String getTitleString()

      This is a unique string which is checked for consistency on client and server.

    - #### getBuildInfo

          public final BuildInfo getBuildInfo()

      This info is read from the Manifest file in the product JAR file. Thus it is only available if the software was packaged in a JAR file, null otherwise.

    - #### getBuildNumber

          public final int getBuildNumber()

    - #### getBuildDate

          public final java.lang.String getBuildDate()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public final DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### checkJavaRuntimeVersion

          public static boolean checkJavaRuntimeVersion(java.lang.String reqiredVersion,
                                        java.lang.String jdkVersion)

    - #### setAutoPrintCopyRight

          public static void setAutoPrintCopyRight(boolean doPrint)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.